Page MenuHomePhabricator

Usage instructions on mw-ui-button (neutral unclear)
Closed, ResolvedPublic

Description

It is not clear when to use a neutral button over a quiet. Could we update the usage instructions?

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:48 AM
bzimport set Reference to bz73252.
Prtksxna triaged this task as Medium priority.Dec 3 2014, 11:20 AM
Prtksxna updated the task description. (Show Details)
Prtksxna set Security to None.
Prtksxna added a subscriber: violetto.

@violetto, if you could suggest the change in copy here I'll ready a patch.

Quiet buttons

  • Secondary actions next to main neutral button actions
  • Actions that exits users from the current view/workflow

Neutral buttons

  • Main action of the workflow/page
  • Only one Neutral/Constructive/Progressive/Destructive button in a workflow should be used. Other actions appear as quiet buttons.
Prtksxna claimed this task.Dec 5 2014, 5:05 AM

Change 182784 had a related patch set uploaded (by Prtksxna):
mw.ui: button: Update usage instructions for neutral and quiet buttons

https://gerrit.wikimedia.org/r/182784

Patch-For-Review

Change 182784 merged by jenkins-bot:
mw.ui: button: Update usage instructions for neutral and quiet buttons

https://gerrit.wikimedia.org/r/182784

Prtksxna closed this task as Resolved.Jan 5 2015, 10:40 PM